Description

ES
Se identificaron tres resultados inesperados al ejecutar el geoproceso añadir huecos a polígonos.

Interpretación de huecos
Al parecer no maneja la superposición de tres polígonos. Si esto no se cambia debería generar alguna advertencia al ejecutarse o al
menos en la ayuda.
esto puede verse en las capas adjuntas.

Ayuda inexacta
La ayuda del geoproceso define que este geoproceso reemplaza un polígono contenido por un hueco. En realidad lo que hacer es
generar el hueco en el polígono continente, manteniendo el polígono contenido. En mi opinión la función ejecutada es más útil que la
función descrita.

Resultados corruptos
La capa de salida, al ejecutar el geoproceso puede presentar un funcionamiento incorrecto. En la capa adjunta, el polígono mayor no
puede ser seleccionado con la herramienta selección simple.
Si bien la capa adjunta presenta tres polígonos superpuestos, el mismo fenómeno se verificó retirando uno de los polígonos.

De paso la ayuda del geoprogeso está en ingles.

EN
Three problems detected executing adds hole to polygon.

Hole detection
It seem that three polygon overlapped cant be well managed. If it does not change should get a warning during de execution, or at
least include this limitation y the help.
This is shown in attached layers.

Inaccurate Help
Add hole to polygon's help defines it as `contained polygon is replaced by a hole in the containing one`. Instead generates the hole
keeping the contained polygon. The actual process seems more useful than the described.

04/29/2024 1/2



Corrupt results
Result layer may present problematic use. In attached files the biggest poligon can not be selected with single selection tool.
Attached layer has 3 overlapped polygons, but same result was got using a 2 poly overlap.

And help is inly in English (not Spanish).

History
#1 - 01/26/2016 07:49 PM - Mario Fevre
- File resultado.shx added
- File resultado.shp added
- File resultado.dbf added
- File base.shx added
- File base.shp added
- File base.dbf added

Habían faltado los adjutnos

#2 - 02/05/2016 09:01 AM - Joaquín  del Cerro Murciano
- Category set to Geoprocess

#3 - 03/02/2016 07:45 PM - Antonio Falciano

Hi Mario,
the "Resolve polygon holes" is working quite fine, except some topological errors introduced in the result layer that depends by your specific input
data. If you apply a buffer with 0 length on your results, you'll get all valid geometries, holes and no self-overlaps. In this case, I suggest to use the
gvSIG buffer geoprocess and not the SEXTANTE one to avoid the "name descriptor issue" (#2851) because you have an ID field yet and SEXTANTE
buffer tries to add another one.

#4 - 06/08/2017 01:10 PM - Álvaro Anguix
- Target version set to 2.4.0-2821 (rev. org.gvsig.desktop-2.0.187) 
- Status changed from New to Won't fix

Files
base.dbf 1.65 KB 01/26/2016 Mario Fevre
base.shp 17.8 KB 01/26/2016 Mario Fevre
base.shx 444 Bytes 01/26/2016 Mario Fevre
resultado.dbf 1.65 KB 01/26/2016 Mario Fevre
resultado.shp 21.4 KB 01/26/2016 Mario Fevre
resultado.shx 444 Bytes 01/26/2016 Mario Fevre
